Class SelectTirePropertyNonInertial
Inheritance
System.Object
System.MarshalByRefObject
SelectTirePropertyNonInertial
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Motion
Assembly: NXOpen.dll
Syntax
public class SelectTirePropertyNonInertial : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectTirePropertyNonInertial()
Declaration
protected SelectTirePropertyNonInertial()
Properties
Value
Declaration
public TirePropertyNonInertial Value { get; set; }
Property Value
Type | Description |
---|---|
TirePropertyNonInertial |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public TirePropertyNonInertial GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
TirePropertyNonInertial |
GetValue(out InferSnapType.SnapType, out TirePropertyNonInertial, out View, out Point3d, out TirePropertyNonInertial, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out TirePropertyNonInertial selection1, out View view1, out Point3d point1, out TirePropertyNonInertial selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
TirePropertyNonInertial | selection1 | |
View | view1 | |
Point3d | point1 | |
TirePropertyNonInertial | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out TirePropertyNonInertial, out View, out Point3d)
Declaration
public void GetValue(out TirePropertyNonInertial selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
TirePropertyNonInertial | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, TirePropertyNonInertial, View, Point3d, TirePropertyNonInertial, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, TirePropertyNonInertial selection1, View view1, Point3d point1, TirePropertyNonInertial selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
TirePropertyNonInertial | selection1 | |
View | view1 | |
Point3d | point1 | |
TirePropertyNonInertial | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(TirePropertyNonInertial, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(TirePropertyNonInertial selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
TirePropertyNonInertial | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(TirePropertyNonInertial, View, Point3d)
Declaration
public void SetValue(TirePropertyNonInertial selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
TirePropertyNonInertial | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink